Bug 240659 - audio/fasttracker2: fix build on GCC architectures
Summary: audio/fasttracker2: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 07:21 UTC by Piotr Kubaj
Modified: 2019-09-21 15:16 UTC (History)
2 users (show)

See Also:
ehaupt: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (356 bytes, patch)
2019-09-18 07:21 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-18 07:21:35 UTC
Created attachment 207595 [details]
patch

Add USE_CSTD=c99 to fix build:
/wrkdirs/usr/ports/audio/fasttracker2/work/ft2-clone-code/src/ft2_gui.c:431: error: 'for' loop initial declaration used outside C99 mode
Comment 1 Emanuel Haupt freebsd_committer 2019-09-18 08:58:16 UTC
LGTM, please commit.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-09-19 21:40:33 UTC
See D21702.
Comment 3 commit-hook freebsd_committer 2019-09-21 15:16:14 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Sep 21 15:15:38 UTC 2019
New revision: 512507
URL: https://svnweb.freebsd.org/changeset/ports/512507

Log:
  audio/fasttracker2: fix build with base GCC

  Add USE_CSTD=c99 to fix build with base GCC:
  /wrkdirs/usr/ports/audio/fasttracker2/work/ft2-clone-code/src/ft2_gui.c:431: error: 'for' loop initial declaration used outside C99 mode

  PR:		240659
  Approved by:	ehaupt (maintainer), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21702

Changes:
  head/audio/fasttracker2/Makefile